org.springframework.cloud.dataflow.rest.client.support

## Class VersionUtils

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.support.VersionUtils

-     public abstract class VersionUtils
      extends Object

  Utility methods for handling client/server version manipulations
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getThreePartVersion(String fourPartVersion)` Given a 3 or 4 part version return the 3 part version.
    `static boolean` | `isDataFlowServerVersionGreaterThanOrEqualToRequiredVersion(String dataFlowServerVersion, String requiredVersion)` Return true if the Data Flow Server version is greater than or equal to a given version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionUtils

          public VersionUtils()

  - ### Method Detail

    - #### getThreePartVersion

          public static String getThreePartVersion(String fourPartVersion)

      Given a 3 or 4 part version return the 3 part version. Return empty string if supplied a `null` value. If there are not 3 or 4 parts in the provided version, return empty string.
      Parameters:
        `fourPartVersion` - The four part version of the string
      Returns:
        the three part version number,

    - #### isDataFlowServerVersionGreaterThanOrEqualToRequiredVersion

          public static boolean isDataFlowServerVersionGreaterThanOrEqualToRequiredVersion(String dataFlowServerVersion,
                                                                                           String requiredVersion)

      Return true if the Data Flow Server version is greater than or equal to a given version.
      Parameters:
        `dataFlowServerVersion` - the data flow server version in three parts
        `requiredVersion` - the required version to test against in three parts
      Returns:
        true if the Data Flow Server version is greater than or equal to a given version, false otherwise

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.